#ifndef _DUMP_HELPERS_H_
#define _DUMP_HELPERS_H_ 1

std::string machine_type(short m);
std::string dump_ddinfo(IMAGE_DATA_DIRECTORY * idd, const char * name);
std::string import_object_header_name_type(int t);
std::string import_object_header_type(int t);
std::string data_directory_name(int ddid);
std::string symbol_storageclass(int i, std::string & s);
std::string symbol_type(int i);
std::string print_symbol(IMAGE_SYMBOL & s, byte * stringtable, int i);

std::string dump_comdat_selection(int selection, int section);
std::string dump_aux_statics(IMAGE_SYMBOL & sym, IMAGE_AUX_SYMBOL * paux, int naux);
std::string dump_aux_function(IMAGE_SYMBOL & sym, IMAGE_AUX_SYMBOL * paux, int naux, std::string & name);
std::string dump_aux_externals(IMAGE_SYMBOL & sym, IMAGE_AUX_SYMBOL * paux, int naux);
std::string dump_aux_weak_externals(IMAGE_SYMBOL & sym, IMAGE_AUX_SYMBOL * paux, int naux);
std::string dump_aux_file(IMAGE_SYMBOL & sym, IMAGE_AUX_SYMBOL * paux, int naux, byte * stringtable);


#endif